#!/bin/bash

# first step is disabling SELinux 
#sed -i -E 's/^SELINUX=.*$/SELINUX=disabled/g' /etc/selinux/config

# second one set cd-rom address for yum
#sed -i -E "s|^baseurl=file:///mnt.*$|baseurl=file:///run/media/rosa/'ROSA Linux-COBALT-x86_64'|g" /etc/yum.repos.d/rels.repo

# editing /etc/hosts
sed -i -E 's/^127.0.0.1.*/127.0.0.1 {{ verbose_name }}.{{ domainname }} {{ verbose_name }}/g' /etc/hosts
sed -i -E 's/^::1.*/::1 {{ verbose_name }}.{{ domainname }} {{ verbose_name }}/g' /etc/hosts

yum update

# list of required packages
packageList="adcli realmd sssd krb5-workstation krb5-libs oddjob oddjob-mkhomedir samba-common-tools"
for packageName in $packageList; do
  yum install --quiet $packageName
done

# adding to the domain
echo {{ password }} | realm join --verbose {{ domainname.upper() }} -U {{ login }}@{{ domainname.upper() }} --membership-software=adcli
